package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 国家民政部-婚姻信息（双方）-数据查询接口对象 t_u_peoplemarryinfodouble
 *
 * @author lei
 * @date 2021-07-14
 */
public class TUPeoplemarryinfodouble extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 删除时间 */
    private String delFlag;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String certnumberman;

    /** 女方身份号码 */
    @Excel(name = "女方身份号码")
    private String certnumberwoman;

    /** 女方姓名 */
    @Excel(name = "女方姓名")
    private String namewoman;

    /** 男方姓名 */
    @Excel(name = "男方姓名")
    private String nameman;

    /** 返回码 */
    @Excel(name = "返回码")
    private String code;

    /** 返回信息 */
    @Excel(name = "返回信息")
    private String message;

    /** 结果信息 */
    @Excel(name = "结果信息")
    private String result;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setCertnumberman(String certnumberman)
    {
        this.certnumberman = certnumberman;
    }

    public String getCertnumberman()
    {
        return certnumberman;
    }
    public void setCertnumberwoman(String certnumberwoman)
    {
        this.certnumberwoman = certnumberwoman;
    }

    public String getCertnumberwoman()
    {
        return certnumberwoman;
    }
    public void setNamewoman(String namewoman)
    {
        this.namewoman = namewoman;
    }

    public String getNamewoman()
    {
        return namewoman;
    }
    public void setNameman(String nameman)
    {
        this.nameman = nameman;
    }

    public String getNameman()
    {
        return nameman;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setMessage(String message)
    {
        this.message = message;
    }

    public String getMessage()
    {
        return message;
    }
    public void setResult(String result)
    {
        this.result = result;
    }

    public String getResult()
    {
        return result;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("certnumberman", getCertnumberman())
            .append("certnumberwoman", getCertnumberwoman())
            .append("namewoman", getNamewoman())
            .append("nameman", getNameman())
            .append("code", getCode())
            .append("message", getMessage())
            .append("result", getResult())
            .toString();
    }
}
